@font-face {
    font-family: HALFourGroteskRegular;
    src: url(fonts/HALFourGroteskUnlicensed-Regular.otf);
}
@font-face {
    font-family: HALFourGroteskThin;
    src: url(fonts/HALFourGroteskUnlicensed-Thin.otf);
}
*, html {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
::selection {
    background-color: black;
    color: white;
}

body {
    font-size: 20px;
}
div p:nth-of-type(1) {
    text-indent: 0px;
}
p {
    text-indent: 50px;
}
#emperor {
    width: 350px;
    transition: all 0.5s ease-in-out;
    pointer-events: none;
    z-index: 300;
    user-select: none;
}
/* CURSOR TRAIL */

.cursor-trail {
  position: absolute;
  width: 30px;
  height: auto;
  aspect-ratio: 1 / 1;
  transform: translate(-50%, -50%);
  pointer-events: none;
  z-index: 40000;
  @for $i from 1 through 5 {
    &:nth-child(#{$i}) {
      z-index: #{-$i};
    }
  }
}

.cursor-trail img {
  position: relative;
  top: 50%;
  left: 0%;
  width: 100%;
  height: 100%;
  object-fit: cover;
  pointer-events: none;
}

/* NAV */
nav {
    position: absolute;
    top: 10px;
    left: 50%;
    transform: translate(-50%, 0);
    z-index: 100;
}
#logo {
    width: 200px;
    user-select: none;
    z-index: 30000;
}

#numbers {
    display: flex;
    flex-direction: column;
    text-align: right;
    width: fit-content;
    user-select: none;
    position: fixed;
    padding-left: 10px;
    z-index: 10000;
    font-size: 16px;
}

.button {
    border: 1px solid black;
    width: fit-content;
    border-radius: 5px;
    padding: 5px 10px;
    background-color: white;
    pointer-events: all;
    cursor: pointer;
    z-index: 4;
    text-decoration: none;
    color: black;
    font-size: 16px;
}
.button:hover {
    background-color: black;
    color: white;
}

#container {
    width: 100vw;
    height: 100vh;
    position: fixed;
    top: 70px;
    left: 0;
    display: grid;
    grid-template-columns: 1fr 1fr;
    z-index: 3;
    pointer-events: none !important;
}

.two-column {
    display: grid;
    grid-template-columns: 1fr 1fr;
    padding: 20px 0;
}

#two-column-game {
    width: 100vw;
    height: 100vh;
    position: fixed;
    top: 150px;
    left: 0;
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap:2px;
}

#two-column-game div {
    height: 100vh;
    transition: all 0.5s ease-in-out;
    cursor: pointer;
}
#two-column-game div:hover {
    background-image: linear-gradient(to bottom, white, rgb(226, 226, 226));
}
#two-column-game img {
    width: 300px;
    mix-blend-mode: multiply;
    transition: all 0.5s ease-in-out;
}
#two-column-game div:hover img {
    mix-blend-mode: multiply;
    transform: translateY(-10px);
}
.product-description {
    background: none !important;
    display: flex;
    flex-direction: column;
    text-align: center;
}
.brand {
    font-size: 24px;
}
.price {
    margin-top: 10px;
    font-size: 20px;
}
main {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    /*position: absolute;
    top: 0;*/
    width: 100vw;
    text-align: center;
    padding-top: 140px;
}
main img {
    width: 100%;
    z-index: 100;
}

/* GAME */
.question {
    font-size: 30px;
    color: black;
    z-index: 1000;
    background-color: white;
}

#score {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 8px;
    position: fixed;
    bottom: 0px;
    width: fit-content;

    left: calc(50% + 2px);
    transform: translate(-50%, 0);
    background-color: white;
    border: 1px solid black;
    border-bottom: 0px solid black;
    padding: 5px 12px 5px 5px;
    z-index: 6;
}
#score div {
    display: flex;
    flex-direction: column;
    text-align: center;
}
#score div:nth-of-type(2) {
    padding-left: 10px;
}
#next {
    z-index: 200;
    position: absolute;
    top: 250px;
    display: none;
}

.text-replace {
    border-bottom: 1px dotted black;
}

#toggle {
    text-align: right;
    position: sticky;
    top: 10px;
    width: 100vw;
    padding: 20px;
    z-index: 10;
}
.switch {
  position: relative;
  display: inline-block;
  width: 52px;
  height: 26px;
  cursor: pointer;
  border: 1px solid black;
}
.switch input { 
  opacity: 0;
  width: 0;
  height: 0;
}

.slider {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: lightgrey;
  -webkit-transition: .4s;
  transition: .4s;
}

.slider:before {
  position: absolute;
  content: "";
  height: 24px;
  width: 24px;
  left: 0px;
  bottom: 0px;
  background-color: white;
  -webkit-transition: .4s;
  transition: .4s;
}

input:checked + .slider {
  background-color: black;
}

input:focus + .slider {
  box-shadow: 0 0 1px black;
}

input:checked + .slider:before {
  -webkit-transform: translateX(26px);
  -ms-transform: translateX(26px);
  transform: translateX(26px);
}